<template>
  <div class="home">
    <div class="home-one">
      <div class="home-wrapper">
        <div class="home-one__content">
          <div class="home-one__content-description">
            <p>order now</p>
            <!-- <span>pre-order starts 10th of july</span> -->
          </div>

          <div class="home-one__timer">
            <!-- <ul class="home-one__countdown">
              <li>
                <span>{{ days }}</span>
                <p>day</p>
              </li>

              <li>
                <span> {{ hours }} </span>
                <p>hour</p>
              </li>

              <li>
                <span> {{ minutes }} </span>
                <p>min</p>
              </li>

              <li>
                <span> {{ seconds }} </span>
                <p>sec</p>
              </li>
            </ul> -->

            <!-- <button
              type="button"
              class="home-one__notify"
              @click="is_notify = true"
            > -->
            <nuxt-link to="/shop" class="home-one__notify">
              purchase
            </nuxt-link>
            <!-- </button> -->
          </div>
        </div>
      </div>
      <img src="/img/fingerprint2.png" class="home-one__image" />
      <img src="/img/book.png" class="home-one__book" />
    </div>

    <div class="home-summary">
      <div class="home-wrapper">
        <div class="home-summary__wrapper">
          <p>Summary</p>
          <span>
            Dive into the existential questions at the heart of human existence
            with this transformative book. It begins by asking, "<b
              >What is the purpose of our existence?</b
            >" and expands into a thorough exploration of our nature, origins,
            and life's ultimate goals,
            <b> seeking to understand the root causes of human misery</b>.
            <br />
            <br />
            The narrative portrays life as an upward spiral of growth and
            consciousness, challenging readers to see beyond superficial
            suffering and embrace each experience as an opportunity for
            development. <b>Structured around five pivotal "knots"</b>, the book
            explores our physical existence, soul connection, life's truths,
            interpersonal relationships, and our divine interaction, advocating
            a holistic approach to personal growth.
            <br />
            <br />
            <b>Drawing on the author's personal journey and research</b>, this
            work invites readers to a life of mindful reflection and continuous
            self-discovery, integrating the physical, emotional, and spiritual
            dimensions for a fulfilling existence. Join this journey and
            transform your approach to life's challenges and opportunities.
          </span>
        </div>
      </div>
    </div>

    <div class="home-tree">
      <div class="home-wrapper">
        <div class="home-tree__wrapper">
          <nuxt-link
            to="/shop?type=0"
            class="home-tree__block home-tree__block-1"
          >
            <img src="/img/bookdigital.png" />
            <div class="home-tree__info">
              <p>Kindle eBook</p>
              <span>$10</span>
              <div>Order Now</div>
            </div>
          </nuxt-link>
          <nuxt-link
            to="/shop?type=1"
            class="home-tree__block home-tree__block-2"
          >
            <img src="/img/booksigned.png" />
            <div class="home-tree__info">
              <p>Paperback</p>
              <span>$29</span>
              <div>Order Now</div>
            </div>
          </nuxt-link>
          <nuxt-link
            to="/shop?type=2"
            class="home-tree__block home-tree__block-3"
          >
            <img src="/img/bookcopy.png" />
            <div class="home-tree__info">
              <p>Hardcover</p>
              <span>$34</span>
              <div>Order Now</div>
            </div>
          </nuxt-link>
        </div>
      </div>
    </div>

    <div class="home-two">
      <div class="home-wrapper">
        <p class="home-two__title">About</p>

        <p class="home-two__description">
          <b>Ansar Yawar</b> is a multifaceted serial entrepreneur, motivational
          speaker, business and life coach, and author of the groundbreaking
          book "<b>Life Is an Upward Spiral</b>". His journey as a writer began
          in 2021, fulfilling a promise to his mother to unravel the causes of
          human misery.
        </p>

        <div class="home-two__ansar">
          <img src="/img/ansar.png" />
        </div>

        <p class="home-two__description">
          Ansar's impact as a motivational speaker is profound, with his videos
          amassing over <b>30 million views</b>. He has successfully launched
          and developed businesses across diverse sectors, including
          manufacturing, fashion, marketing, and IT.
        </p>

        <p class="home-two__description">
          One of his latest ventures, <b>EduSpace</b>, is anticipated to be the
          first global educational platform that enhances communication and
          collaboration among students and educators, effectively breaking
          traditional barriers in education by connecting the global learning
          community.
        </p>

        <p class="home-two__description">
          Deeply passionate about philosophy and human behavior, Ansar
          specializes in its analysis, dedicating his career to elevating
          individuals and businesses. With a focus on
          <b>personal growth and innovative strategies</b>, he expertly utilizes
          technology and sales to catalyze rapid business growth and success.
        </p>

        <p class="home-two__description">
          <b
            >Originating from the diverse backgrounds of Afghanistan and
            Mongolia</b
          >, Ansar was born in the small city of Quetta, raised in Denmark, and
          currently resides in the United Arab Emirates.
        </p>
      </div>
    </div>

    <div class="home-five">
      <div class="home-wrapper">
        <div class="home-five__title">Reviews</div>

        <FlickingSlider
          :options="slider_options"
          :plugins="slider_plugins"
          class="home-five__slider"
        >
          <div class="home-five__block" :key="12">
            <div class="home-five__block__wrapper">
              <div class="home-five__client">
                <img src="/img/userzamena.jpg" />
                <div class="home-five__client-info">
                  <p>Zamena Hassan</p>
                  <span>The United Arab Emirates</span>
                  <b>Author</b>
                </div>
              </div>

              <div class="home-five__comment">
                "'Life is an Upward Spiral' is a combination of spiritual
                mastery and philosophical ingenuity. In his masterpiece, Ansar
                Yawar has applied literary wizardry by wrapping 'Chicken Soup
                for the Heart, Soul, and Mind' together with 'Relationships for
                Dummies' into a neat package of seventy life lessons and
                organized it all into five distinct sections to guide us on this
                human-centric existential experience we call life. growth.

                <br />
                <br />

                Not only has he addressed difficult philosophical phenomena, but
                he also proves each of his ideologies so simply and logically
                that one is left mesmerized. By allowing us a glimpse into his
                personal life, Yawar provides a mirror reflecting our own lives
                of vulnerability and flaws. From womb to afterlife, Yawar gently
                guides us, confidently holding our hands to ensure we come out
                stronger and wiser.

                <br />
                <br />

                Not only did I love reading this brilliant piece of work, but
                it’s also definitely going to become my roadmap and companion in
                navigating my life! Bravo!"
              </div>

              <div class="home-five__footer">First readers</div>
            </div>
          </div>

          <div class="home-five__block" :key="11">
            <div class="home-five__block__wrapper">
              <div class="home-five__client">
                <img src="/img/userjeannette.png" />
                <div class="home-five__client-info">
                  <p>Jeannette O’Connor</p>
                  <span>Portugal</span>
                  <b>PhD, Director, Maya Institute</b>
                </div>
              </div>

              <div class="home-five__comment">
                I had the privilege of reviewing "Life is an Upward Spiral: The
                Human-Centric Path For Personal Growth" by Ansar Yawar. The book
                offers a complex spiral of lessons about human suffering,
                starting with "Who Are You?" and concluding with "Finding Your
                Purpose." Written eloquently, Yawar delves into human suffering
                from his extensive personal experiences, suggesting that
                embracing both life's dark and light moments is essential for
                growth.

                <br />
                <br />
                Yawar introduces a Human-Centric Approach, using compassion and
                a deep understanding of human needs to address suffering. The
                framework includes "The Five Knots," which are foundational
                elements that guide the reader through his methodology. Each
                knot is a compilation of life lessons that are interconnected to
                provide evolving insights.
              </div>

              <div class="home-five__footer">First readers</div>
            </div>
          </div>

          <div class="home-five__block" :key="9">
            <div class="home-five__block__wrapper">
              <div class="home-five__client">
                <img src="/img/usernazila.jpg" />
                <div class="home-five__client-info">
                  <p>Nazila Malik</p>
                  <span>United Kingdom</span>
                  <b>Entrepreneur specializing in Mental Health Law</b>
                </div>
              </div>

              <div class="home-five__comment">
                “Life Is an Upward Spiral” offers a profound exploration of
                self-discovery and personal growth. The book’s structure,
                divided into five “knots,” cleverly represents the complexities
                of life that readers are encouraged to unravel. Each knot delves
                into crucial aspects of the human experience, from authenticity
                and relationships to understanding life’s deeper meanings.

                <br />
                <br />

                The author’s approach combines personal insights with rational
                inquiry, inviting readers to examine their lives thoughtfully.
                This blend of personal experience and philosophical exploration
                creates a compelling narrative that resonates deeply with
                readers seeking self-improvement and a greater understanding of
                their place in the world. The book’s emphasis on living an
                examined life is particularly impactful, encouraging readers to
                question, reflect, and grow. Its beautifully crafted prose makes
                complex ideas accessible, potentially transforming readers’
                perspectives on life and their own potential.

                <br />
                <br />

                “Life Is an Upward Spiral” stands out as a thoughtful,
                potentially life-changing guide for those on a journey of
                self-discovery and personal development. Thank you, Ansar, for
                crafting this literary masterpiece. It was truly a privilege to
                immerse myself in your exceptional work.
              </div>

              <div class="home-five__footer">First readers</div>
            </div>
          </div>

          <div class="home-five__block" :key="10">
            <div class="home-five__block__wrapper">
              <div class="home-five__client">
                <img src="/img/uservenessa.jpg" />
                <div class="home-five__client-info">
                  <p>Vanessa Ta</p>
                  <span>United States</span>
                  <b>Editor</b>
                </div>
              </div>

              <div class="home-five__comment">
                In “Life Is an Upward Spiral”, Ansar Yawar challenges the common
                belief that life is linear, instead arguing that it unfolds in a
                spiral. He offers us insights into how to move through and up
                it—and generously shares lessons from a life well-lived.
              </div>

              <div class="home-five__footer">First readers</div>
            </div>
          </div>

          <div class="home-five__block" :key="7">
            <div class="home-five__block__wrapper">
              <div class="home-five__client">
                <img src="/img/usernic.jpg" />

                <div class="home-five__client-info">
                  <p>Nic Warner</p>
                  <span>Australia</span>
                  <b>Masculine Embodiment and intimacy teacher</b>
                </div>
              </div>

              <div class="home-five__comment">
                “Life Is an Upward Spiral” is a profound journey into the depths
                of human experience, poetically weaving together personal
                growth, spirituality, and the intricacies of existence. His
                writing is both captivating and insightful, inviting you to
                unlearn and relearn the complexities of life through a
                human-centric lens. Each chapter unravels essential life
                lessons, encouraging introspection and transformation. His
                narrative is enriched with poetic elegance and philosophical
                depth, making the book a compelling guide for anyone seeking
                deeper understanding and fulfillment. "Life Is an Upward Spiral"
                is a beacon of light I wish I had on my path 10 years ago!
              </div>

              <div class="home-five__footer">First readers</div>
            </div>
          </div>

          <div class="home-five__block" :key="3">
            <div class="home-five__block__wrapper">
              <div class="home-five__client">
                <img src="/img/userzainub.jpeg" />
                <div class="home-five__client-info">
                  <p>Zainub Naqvi</p>
                  <span>California</span>
                  <b>Global marketing & life coach</b>
                </div>
              </div>
              <div class="home-five__comment">
                “Life Is an Upward Spiral” is not only a beautiful work of art,
                but a deeply spiritual and moving manuscript for the human
                experience. With every word, Ansar demonstrates his effortless
                ability to crack open the inner intimate shadows and
                insecurities that we all face and fill them with wisdom and
                anecdotes of healing. Unlike any other self-help literature,
                this piece has a soul of its own, here to befriend you and
                restore faith in yourself and your path forward. It will ground
                you and elevate you at the same time, a true masterpiece that
                cannot be missed regardless of age, gender, and ethnicity. 
              </div>

              <div class="home-five__footer">First readers</div>
            </div>
          </div>

          <div class="home-five__block" :key="8">
            <div class="home-five__block__wrapper">
              <div class="home-five__client">
                <img src="/img/user.jpeg" />
                <div class="home-five__client-info">
                  <p>Kathrin Hansen</p>
                  <span>Germany</span>
                  <b>Womens mentor & trauma expert</b>
                </div>
              </div>
              <div class="home-five__comment">
                The book can be a place of refuge, an oasis to recharge your
                batteries and gain deep insights. I have read many similar
                books, but none is so down-to-earth and at the same time so wise
                and to the point. The author’s personal story is woven in again
                and again, and it touches you deeply. "Life is an upward spiral“
                gives courage and makes times of crisis easier. It will touch
                many people.
              </div>

              <div class="home-five__footer">First readers</div>
            </div>
          </div>

          <div class="home-five__block" :key="6">
            <div class="home-five__block__wrapper">
              <div class="home-five__client">
                <div class="home-five__client--empty">
                  <Ui-Icon name="user" />
                </div>
                <div class="home-five__client-info">
                  <p>Ahlam Riyashy</p>
                  <span>United Kingdom</span>
                  <b>Spiritual Life Coach</b>
                </div>
              </div>

              <div class="home-five__comment">
                “Life Is an Upward Spiral” resonated with me on a mental,
                emotional, and spiritual level. It is a transcendent book
                beautifully guiding the reader on a path of deep introspection
                and self-discovery. It explores the question of human suffering
                and through its wisdom teaches us how to elevate and transform
                through suffering.

                <br />
                <br />

                This book powerfully teaches you to see life with a higher
                perspective and examines concepts such as attaining true
                contentment, defining success, finding purpose through pain,
                living in the present moment, creating lasting love, and the
                orchestration of God in the design of life. The journey within
                is the most beautiful of all journeys we can embark on. Within
                is where we find our true selves and a deep connection to Our
                Creator.

                <br />
                <br />

                If you are ready to embark on a journey of self-discovery,
                personal growth, and spiritual enlightenment, this book is for
                you. Poetic, captivating, and eloquently written. A valuable
                read for people of all faiths and backgrounds. Truly one of the
                best personal development books I have read!
              </div>

              <div class="home-five__footer">First readers</div>
            </div>
          </div>

          <div class="home-five__block" :key="2">
            <div class="home-five__block__wrapper">
              <div class="home-five__client">
                <div class="home-five__client--empty">
                  <Ui-Icon name="user" />
                </div>
                <div class="home-five__client-info">
                  <p>Layla Isa</p>
                  <span>United Kingdom</span>
                  <b>Real estate</b>
                </div>
              </div>

              <div class="home-five__comment">
                This year, I set myself on a journey to really connect with
                myself, and along the way, I've read a handful of different
                books. Without a shadow of a doubt, "Life Is an Upward Spiral"
                has been the most engaging and enlightening of them all.
                <br />
                <br />
                Unlike many self-help books that focus on a single aspect of
                life, this book beautifully weaves together important life
                lessons into a cohesive narrative. The author has masterfully
                crafted the content to start ‘light’, and then to gradually
                guide readers through an emotional and insightful ascent that
                culminates in a profound connection to the higher aspects of
                existence.
                <br />
                <br />
                The structure of the book is particularly compelling. Each life
                lesson builds on the previous one, creating a sense of progress
                and emotional elevation. The short, impactful lessons make it
                easy to absorb and reflect on the wisdom shared, making it a
                book that is not only a joy to read but also a practical guide
                for daily living.
                <br />
                <br />
                I am eager to get my hands on a hard copy to experience the
                journey once more. "Life Is An Upward Spiral" is more than just
                a book; it's a transformative experience that leaves you feeling
                uplifted and enlightened.
              </div>

              <div class="home-five__footer">First readers</div>
            </div>
          </div>

          <div class="home-five__block" :key="1">
            <div class="home-five__block__wrapper">
              <div class="home-five__client">
                <div class="home-five__client--empty">
                  <Ui-Icon name="user" />
                </div>
                <div class="home-five__client-info">
                  <p>Crystal Nero</p>
                  <span>United States</span>
                  <b>Developmental Editor</b>
                </div>
              </div>

              <div class="home-five__comment">
                The art that resonates with me the most is the art that breaks
                me, and Ansar’s book has broken me in the best possible ways. It
                has served as both an inspiration and a mirror, reflecting back
                to me the parts of myself in need of love, care, and healing.
              </div>

              <div class="home-five__footer">Developmental Editor</div>
            </div>
          </div>

          <div class="home-five__block" :key="4">
            <div class="home-five__block__wrapper">
              <div class="home-five__client">
                <div class="home-five__client--empty">
                  <Ui-Icon name="user" />
                </div>
                <div class="home-five__client-info">
                  <p>Sam G</p>
                  <span>Norway</span>
                  <b>Legal Advisor</b>
                </div>
              </div>

              <div class="home-five__comment">
                "Life Is an Upward Spiral" is a book to be savored, offering a
                spectrum of self-discovery and the vulnerability required for
                personal growth. Depending on your willingness to be challenged,
                you will dive into an intellectual, spiritual, and emotional
                journey through the "five knots," leaving a powerful impact that
                will make you feel transformed. The book magically addresses all
                the questions and insecurities one might have, providing a
                diverse range of insights.
                <br />
                <br />
                As you progress through the pages, you'll feel transformed,
                becoming a fearless being. You'll learn to mend and blend with
                the empowered insights of your soul and allow suffering to pass
                through. The title perfectly encapsulates the book's essence,
                emphasizing the processes of progress and self-connection it
                offers, guided by a higher power than the universe.
                <br />
                <br />
                "Life is An Upward Spiral" is poised to be 2024's biggest
                "bible" for humanity. It manifests profound insights, offers
                poetic moments, and leads to growth and a new sense of self. It
                reveals an intricate tapestry of art that cannot be missed!
              </div>

              <div class="home-five__footer">First readers</div>
            </div>
          </div>

          <div class="home-five__block" :key="5">
            <div class="home-five__block__wrapper">
              <div class="home-five__client">
                <img src="/img/userpoonam.jpeg" />
                <div class="home-five__client-info">
                  <p>Poonam Walid</p>
                  <span>United Kingdom</span>
                  <b>Digital creator</b>
                </div>
              </div>

              <div class="home-five__comment">
                I just finished reading "Life Is an Upward Spiral" and had to
                share my thoughts! I found the book to be an insightful read
                that provides a well-structured, comprehensive exploration of
                important life themes. The division into five distinct sections
                creates a clear and engaging journey for the reader. Each
                section is well explained, making the content accessible and
                easy to follow. I loved the anecdotes throughout the book about
                Ansar's personal story of resilience; they really hit home for
                me. One of my favorite sections was about the concept of
                identity as an illusion, which was very thought-provoking.
                Overall, "Life Is an Upward Spiral" is a well-structured,
                insightful guide that combines personal experiences with
                profound life lessons. It’s relatable, inspiring, and definitely
                worth a read!
              </div>

              <div class="home-five__footer">First readers</div>
            </div>
          </div>

          <template #viewport>
            <span class="flicking-arrow-prev">
              <Ui-Icon name="arrow2" />
            </span>
            <span class="flicking-arrow-next">
              <Ui-Icon name="arrow2" />
            </span>
          </template>
        </FlickingSlider>

        <div class="kek"></div>
      </div>
    </div>

    <div class="home-four">
      <div class="home-wrapper">
        <div class="home-four__wrapper">
          <div class="home-four__opinion">
            <div>
              <p>Your opinion about the book is very valuable to us.</p>
            </div>
            <div>
              <span
                >Write to our email <br />
                <b>contact@ansaryawar.com</b>
              </span>
              <a href="mailto:contact@ansaryawar.com">Send a message</a>
            </div>
          </div>
          <img src="/img/opinion.png" class="home-four__img" />
        </div>
      </div>
    </div>

    <transition name="fade">
      <div
        class="backdrop"
        v-if="is_notify || is_notify_done"
        @click="
          is_notify = false;
          bodyScroll.enable();
        "
      ></div>
    </transition>
    <transition name="fade">
      <div class="modal" v-if="is_notify">
        <div class="modal-wrapper">
          <div class="modal-header">
            <span>Notify pre-order</span>

            <button
              type="button"
              class="modal-close"
              @click="
                is_notify = false;
                email = '';
              "
            >
              <Ui-Icon name="close" />
            </button>
          </div>

          <form class="modal-form" @submit.prevent="sendNotify()">
            <input
              type="email"
              placeholder="Enter your email"
              v-model="email"
              required
            />

            <div class="modal-buttons">
              <button type="submit" :disabled="pending_email">
                {{ pending_email ? "Loading.." : "Send to notify" }}
              </button>
              <button
                type="button"
                @click="
                  is_notify = false;
                  email = '';
                "
              >
                Close
              </button>
            </div>
          </form>
        </div>
      </div>
    </transition>

    <transition name="fade">
      <div class="modal" v-if="is_notify_done">
        <div class="modal-wrapper">
          <div class="modal-mersi">
            <Ui-Gif class="modal-mersi__animation" src="/success.json" />
            <p>Thank you</p>
            <span> for registering with us</span>
          </div>
        </div>
      </div>
    </transition>
  </div>

  <div style="display: none">
    <img src="/img/checkoutBookDigital.jpg" />
    <img src="/img/checkoutBookHardcover.jpg" />
    <img src="/img/checkoutBookPaperback.jpg" />
    <img src="/img/bookstack.png" />
    <Ui-Gif src="/success.json" />
    <img src="/img/review.png" />
  </div>
</template>

<script setup lang="ts">
import FlickingSlider from "@egjs/vue3-flicking";
import { Fade, Arrow } from "@egjs/flicking-plugins";
import gsap from "gsap";
import { ScrollTrigger } from "gsap/ScrollTrigger";
import bodyScroll from "@/utils/BodyScroll.js";

const slider_options = {
  align: "prev",
  adaptive: true,
};

const slider_plugins = [new Fade(".home-five__block__wrapper", 1), new Arrow()];

const days = ref(0);
const hours = ref(0);
const minutes = ref(0);
const seconds = ref(0);
const is_timer = ref(false);

const is_notify = ref(false);
const email = ref("");
const pending_email = ref(false);
const is_notify_done = ref(false);

onMounted(() => {
  if (window) {
    if (window.screen.width > 780) {
      setTimeout(() => {
        gsap.registerPlugin(ScrollTrigger);

        gsap.set(".home-one__book", {
          scale: 1,
        });
        gsap.to(".home-one__book", {
          scale: 0.6,
          scrollTrigger: {
            trigger: ".home-one",
            start: "top top",
            scrub: 2,
          },
        });

        gsap.set(".home-tree__block-1", {
          marginTop: 150,
          opacity: 0,
        });
        gsap.to(".home-tree__block-1", {
          marginTop: 0,
          opacity: 1,
          scrollTrigger: {
            trigger: ".home-summary",
            start: "bottom bottom",
            scrub: 1,
          },
        });

        gsap.set(".home-tree__block-2", {
          marginTop: 550,
          opacity: 0,
        });
        gsap.to(".home-tree__block-2", {
          marginTop: 0,
          opacity: 1,
          scrollTrigger: {
            trigger: ".home-summary",
            start: "bottom bottom",
            scrub: 1,
          },
        });

        gsap.set(".home-tree__block-3", {
          marginTop: 1050,
          opacity: 0,
        });
        gsap.to(".home-tree__block-3", {
          marginTop: 0,
          opacity: 1,
          scrollTrigger: {
            trigger: ".home-summary",
            start: "bottom bottom",
            scrub: 1,
          },
        });

        gsap.set(".home-five__slider", {
          marginLeft: 550,
          opacity: 0,
        });
        gsap.to(".home-five__slider", {
          marginLeft: 0,
          opacity: 1,
          scrollTrigger: {
            trigger: ".home-two__description",
            start: "bottom 100%",
            scrub: 2,
          },
        });
      }, 500);
    }

    if (document) {
      // Date.UTC()
      // let countDownDate = new Date("Jul 10, 2024 10:00:00").getTime();
      // let newDate = new Date(Date.UTC(2024, 6, 10, 5, 0, 0));
      // let countDownDate = new Intl.DateTimeFormat("en-US", {
      //   dateStyle: "full",
      //   timeStyle: "long",
      //   timeZone: "UTC",
      // })
      //   .format(newDate)
      //   .getTime();

      // const countDownDateNew = new Date(Date.UTC(2024, 6, 10, 8, 0, 0)).toLocaleTimeString();
      // const countDownDate = new Date(countDownDateNew).getTime();
      // console.log(countDownDateNew)

      let countDownDate = new Date("Jul 10, 2024 10:00:00 GMT+0200").getTime();

      let now = new Date().getTime();

      let distance = countDownDate - now;
      days.value = Math.floor(distance / (1000 * 60 * 60 * 24));
      hours.value = Math.floor(
        (distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60)
      );
      minutes.value = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
      seconds.value = Math.floor((distance % (1000 * 60)) / 1000);

      setInterval(function () {
        let now = new Date().getTime();

        let distance = countDownDate - now;

        days.value = Math.floor(distance / (1000 * 60 * 60 * 24));
        hours.value = Math.floor(
          (distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60)
        );
        minutes.value = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
        seconds.value = Math.floor((distance % (1000 * 60)) / 1000);
        // console.log(seconds.value)
      }, 1000);

      is_timer.value = true;
    }
  }
});

const sendNotify = async () => {
  try {
    pending_email.value = true;
    await $fetch("https://midera.fun/server/webhookAnsaryawar", {
      headers: {
        "Content-Type": "application/json",
      },
      method: "POST",
      body: {
        email: email.value,
      },
    });
    email.value = "";
    is_notify.value = false;
    is_notify_done.value = true;
    setTimeout(() => {
      is_notify_done.value = false;
    }, 2000);
  } catch (error) {
    console.log(error);
  } finally {
    pending_email.value = false;
  }
};
</script>

<style lang="scss" scoped>
@use "~/assets/scss/mixins" as *;

.home {
  width: 100%;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  overflow-y: hidden !important;

  &-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 70%;
    height: fit-content;
    position: relative;

    @include phone {
      width: 100%;
      padding: 0 20px;
    }
  }

  &-one {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    position: relative;
    margin-bottom: 50px;

    @include laptop_l {
      margin-bottom: 20px;
    }

    @include phone {
      margin-bottom: 0px;
      overflow: hidden;
      flex-direction: column;
      justify-content: flex-start;
    }

    &:before {
      content: " ";
      height: 250px;
      width: 100%;
      position: absolute;
      bottom: 0;
      background: linear-gradient(
        0deg,
        rgb(255, 255, 255) 10%,
        rgba(255, 255, 255, 0) 100%
      );
      z-index: 2;
    }
  }

  &-one__content {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    justify-content: flex-start;
    margin-top: 50px;
    animation-duration: 1s;
    animation-fill-mode: both;
    animation-name: openning;
    animation-timing-function: ease-in-out;
    z-index: 5;

    @include laptop_l {
      margin-top: 40px;
    }

    @include phone {
      margin-top: 60px;
      animation-name: starting;
    }

    @include phone_s {
      margin-top: 50px;
    }
  }

  &-one__content-description {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    p {
      font-size: 60px;
      font-weight: 500;
      position: relative;
      z-index: 5;
      font-family: "Brown-Regular";
      text-align: center;
      text-transform: uppercase;
      margin-top: 10px;
      @include laptop_l {
        font-size: 45px;
      }
      @include phone {
        margin-top: 0px;
        font-size: 35px;
      }

      @include phone_s {
        font-size: 30px;
      }
    }

    span {
      text-transform: uppercase;
      font-size: 14px;
      letter-spacing: 1px;
      font-weight: 400;
      font-family: "Brown-Regular";
      text-align: center;
      @include laptop_l {
        font-size: 11px;
      }
      @include phone {
        font-size: 11px;
        display: block;
        margin-bottom: 10px;
        margin-top: 10px;
      }
    }
  }

  &-one__timer {
    margin-top: 0px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
  }

  &-one__timer-title {
    text-transform: uppercase;
    font-size: 18px;
    @include laptop_l {
      font-size: 12px;
    }
    @include phone {
      font-size: 14px;
    }
  }

  &-one__countdown {
    margin-top: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    li {
      width: 100px;
      // padding: 0 40px;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;

      // &:first-child {
      //   border-right: 1px solid #ddbe6f;
      // }
      // &:nth-child(1) {
      //   border-left: 1px solid #ddbe6f;
      // }
      &:nth-child(2) {
        border-left: 1px solid #ddbe6f;
      }
      &:nth-child(3) {
        border-left: 1px solid #ddbe6f;
      }
      &:nth-child(4) {
        border-left: 1px solid #ddbe6f;
      }
      // &:nth-child(5) {
      //   border-right: 1px solid #ddbe6f;
      // }
      // &:last-child {
      //   border-left: 1px solid #ddbe6f;
      // }

      @include laptop_l {
        width: 80px;
      }
    }

    span {
      text-transform: uppercase;
      font-size: 32px;
      font-weight: 400;
      display: block;
      @include laptop_l {
        font-size: 22px;
      }
      @include phone {
        font-size: 20px;
      }
    }

    p {
      font-size: 12px;
      text-transform: uppercase;
      margin-top: 10px;
      color: #1d1d1f;
      @include laptop_l {
        font-size: 10px;
      }
    }
  }

  &-one__image {
    position: absolute;
    // top: 30px;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    object-fit: cover;
    // object-position: 10px -1000px;
    @include phone {
      top: 0px;
      object-fit: cover;
    }
  }

  &-one__notify {
    padding: 11px 24px;
    padding-bottom: 10px;
    background-color: #000;
    border-radius: 40px;
    font-size: 13px;
    color: #fff;
    margin-top: 20px;
    text-transform: uppercase;
    letter-spacing: 3px;
    font-weight: 500;
    line-height: 110%;
    cursor: pointer;
    transition: all ease 0.4s;

    &:hover {
      transform: scale(1.05);
    }
    @include laptop_l {
      padding: 7px 20px;
      font-size: 9px;
      letter-spacing: 2px;
    }

    @include phone {
      padding: 10px 20px;
      font-size: 10px;
      letter-spacing: 2px;
      margin-top: 10px;
    }

    @include phone_s {
      padding: 7px 20px;
      font-size: 9px;
      letter-spacing: 2px;
    }
  }

  &-one__book {
    position: absolute;
    transform: translate(-50%);
    bottom: -5%;
    left: 50.2%;
    width: 700px;
    z-index: 3;
    filter: brightness(1.02);
    // animation-duration: 1s;
    // animation-fill-mode: both;
    // animation-name: starting;
    // animation-timing-function: ease-in-out;

    @include laptop_l {
      width: 600px;
      bottom: -7%;
    }

    @include phone {
      position: relative;
      width: 550px;
      height: 650px;
      bottom: -5%;
      // bottom: 20%;
    }

    @include phone_s {
      width: 530px;
      height: 630px;
      // bottom: 0%;
    }

    @include phone_xs {
      width: 350px;
      height: 430px;
      bottom: -3%;
      // bottom: 8%;
    }
  }

  &-summary {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  &-summary__wrapper {
    width: 80%;
    @include phone {
      width: 90%;
    }

    p {
      color: #000;
      font-size: 44px;
      font-weight: 500;
      line-height: 120%;
      @include laptop_l {
        margin-bottom: 10px;
        font-size: 30px;
      }
      @include phone {
        width: 100%;
        font-size: 26px;
      }
    }

    span {
      display: block;
      margin-top: 20px;
      font-size: 16px;
      margin-top: 30px;
      line-height: 200%;
      color: #000;
      padding-right: 70px;
      font-weight: 400;
      @include laptop_l {
        font-size: 13px;
      }
      @include phone {
        margin-top: 10px;
        font-size: 15px;
        padding-right: 0px;
        width: 100%;
      }

      b {
        color: #000;
        font-weight: 500;
      }
    }
  }

  &-two {
    padding: 100px 0;
    width: 100%;
    display: flex;
    justify-content: center;
    overflow: hidden;
    z-index: 2;

    @include phone {
      padding: 50px 0;
    }
  }

  &-two__title {
    width: 80%;
    color: #000;
    font-size: 44px;
    font-weight: 500;
    line-height: 120%;
    @include laptop_l {
      margin-bottom: 10px;
      font-size: 30px;
    }
    @include phone {
      font-weight: 500;
      width: 90%;
      font-size: 26px;
    }
  }

  &-two__description {
    width: 80%;
    padding-right: 70px;
    font-size: 16px;
    margin-top: 30px;
    line-height: 200%;
    // color: #86868b;
    @include laptop_l {
      font-size: 13px;
    }
    @include phone {
      margin-top: 10px;
      font-size: 15px;
      padding-right: 0px;
      width: 90%;
    }

    b {
      color: #000;
      font-weight: 500;
    }
  }

  &-two__ansar {
    width: 80%;
    margin-top: 30px;
    overflow: hidden;
    @include phone {
      margin-top: 20px;
    }
    @include phone {
      width: 90%;
    }
    img {
      width: 100%;
      // height: 600px;
      object-fit: cover;
      @include phone {
        object-fit: cover;
        width: 150%;
        object-position: -100px 0px;
      }
    }
  }

  &-tree {
    padding: 100px 0;
    width: 100%;
    display: flex;
    justify-content: center;
    overflow: hidden;
    @include laptop_l {
      padding: 50px 0;
    }
  }

  &-tree__wrapper {
    width: 80%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 10px;
    position: relative;
    z-index: 2;
    @include phone {
      grid-template-columns: 1fr;
      width: 100%;
      margin-top: 0px;
    }
    @include phone {
      width: 90%;
    }
  }

  &-tree__block {
    width: 100%;
    height: fit-content;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    img {
      width: 100%;
      @include phone {
        width: 80%;
      }
      @include phone {
        width: 100%;
        height: 600px;
        object-fit: cover;
      }
    }
  }

  &-tree__info {
    position: absolute;
    bottom: 70px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    @include laptop_l {
      bottom: 60px;
    }
    @include phone {
      bottom: 60px;
    }

    p {
      font-weight: 500;
      font-size: 20px;
      margin-bottom: 20px;
      @include laptop_l {
        font-size: 16px;
        margin-bottom: 5px;
      }
      @include phone {
        margin-bottom: 20px;
        font-weight: 600;
        font-size: 20px;
      }
    }

    span {
      @include laptop_l {
        font-size: 13px;
      }
      @include phone {
        font-size: 18px;
      }
    }

    div {
      padding: 5px 15px;
      background-color: #000;
      color: #fff;
      border-radius: 50px;
      font-size: 14px;
      @include laptop_l {
        font-size: 12px;
      }
      @include phone {
        font-size: 14px;
      }
    }
  }

  &-four {
    padding: 100px 0;
    width: 100%;
    display: flex;
    justify-content: center;
    overflow: hidden;
    @include phone {
      padding: 50px 0;
    }
  }

  &-four__wrapper {
    width: 80%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    @include phone {
      grid-template-columns: 1fr;
      width: 90%;
    }

    img {
      width: 100%;
      @include phone {
        object-fit: cover;
        height: 450px;
      }
    }
  }

  &-four__opinion {
    width: 100%;
    background-color: #fbfbfb;
    padding: 50px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    @include phone {
      order: 1;
      height: 300px;
    }

    p {
      padding-right: 50px;
      font-size: 35px;
      font-weight: 500;
      line-height: 120%;
      @include laptop_l {
        font-size: 25px;
      }
      @include phone {
        font-size: 18px;
        padding-right: 0px;
      }
    }

    span {
      color: #86868b;
      font-size: 20px;
      display: block;
      margin-bottom: 10px;
      @include laptop_l {
        font-size: 16px;
      }
      @include phone {
        margin-top: 40px;
        font-size: 16px;
      }

      b {
        display: block;
        margin-top: 10px;
        color: #000;
        font-weight: 400;
      }
    }

    a {
      padding: 10px 20px;
      border-radius: 50px;
      background-color: #000;
      color: #fff;
      font-size: 14px;
      margin-top: 20px;
      display: block;
      width: fit-content;
      @include laptop_l {
        font-size: 10px;
      }
      @include phone {
        font-size: 14px;
        font-weight: 500;
        padding: 8px 16px;
      }
    }
  }

  &-five {
    background-color: #fbfbfb;
    padding: 100px 0;
    width: 100%;
    display: flex;
    justify-content: center;
    overflow: hidden;
    z-index: 2;
    transition: all ease 1s;

    @include phone {
      padding: 50px 0;
    }
  }

  &-five__title {
    width: 80%;
    color: #000;
    font-size: 44px;
    font-weight: 500;
    line-height: 120%;
    @include laptop_l {
      margin-bottom: 10px;
      font-size: 30px;
    }
    @include phone {
      font-weight: 500;
      width: 90%;
      font-size: 26px;
    }
  }

  &-five__slider {
    width: calc(80% + 30px);
    height: 100%;
    margin-top: 50px;
    display: grid;
    @include laptop_l {
      margin-top: 30px;
      width: calc(80% + 35px);
    }
    @include phone {
      width: 90%;
      display: block;
      height: fit-content;
      transition: all ease 0.4s;
    }
  }

  &-five__block {
    min-width: 500px;
    max-width: 800px;
    height: 100%;
    padding: 0 20px;
    @include laptop_l {
      min-width: 400px;
      max-width: 600px;
    }
    @include phone {
      max-width: 100%;
      min-width: fit-content;
      height: fit-content;
      padding: 0;
    }
  }

  &-five__block__wrapper {
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.038);
    width: 100%;
    min-height: 80%;
    padding: 50px;
    transition: all ease 0.1s;
    opacity: 0;

    @include laptop_l {
      padding: 50px;
    }
    @include phone {
      width: 100%;
      padding: 20px;
      height: fit-content;
    }
  }

  &-five__client {
    display: grid;
    grid-template-columns: auto 1fr;
    align-items: center;
    gap: 10px;

    img {
      width: 80px;
      height: 80px;
      border-radius: 100%;
      object-fit: cover;
      @include laptop_l {
        width: 60px;
        height: 60px;
      }
    }
  }

  &-five__client--empty {
    width: 80px;
    height: 80px;
    border-radius: 100%;
    background-color: rgb(246, 246, 246);
    // background-color: #fff;
    // box-shadow: 0 0 10px rgb(242, 242, 242);
    display: flex;
    justify-content: center;
    align-items: center;

    svg {
      width: 30px;
      height: 30px;
      fill: #000;
    }
  }

  &-five__client-info {
    p {
      font-size: 18px;
      font-weight: 500;
      color: #000;
      @include laptop_l {
        font-size: 13px;
      }
    }

    span {
      display: block;
      margin-top: 10px;
      font-size: 14px;
      color: #000;
      @include laptop_l {
        font-size: 12px;
        margin-top: 5px;
      }
    }

    b {
      display: block;
      margin-top: 10px;
      font-size: 13px;
      font-weight: 500;
      color: #000;
      line-height: 120%;

      @include laptop_l {
        font-size: 11px;
        margin-top: 5px;
      }

      @include phone {
        margin-top: 10px;
      }
    }
  }

  &-five__comment {
    margin-top: 30px;
    font-size: 16px;
    color: #000;
    font-weight: 400;
    line-height: 180%;
    transition: all ease 0.1s;

    @include laptop_l {
      font-size: 13px;
      line-height: 180%;
    }
    @include phone {
      max-width: 100%;
      width: 100%;
    }
  }

  &-five__footer {
    display: flex;
    justify-content: flex-start;
    margin-top: 20px;

    font-size: 14px;
    color: #000;
    @include laptop_l {
      font-size: 13px;
    }
  }
}

.flicking-viewport {
  overflow: visible !important;
}

.flicking-arrow-prev,
.flicking-arrow-next {
  top: -76px;
  width: 35px;
  height: 35px;
  border-radius: 20px;
  background-color: #d2d2d780;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all ease 0.3s;
  @include laptop_l {
    width: 25px;
    height: 25px;
    top: -56px;
  }

  &:active {
    background-color: #d2d2d7cf;
  }

  &::before,
  &::after {
    content: none;
  }

  svg {
    width: 12px;
    height: 12px;
    fill: rgba(0, 0, 0, 0.6);
    @include laptop_l {
      width: 8px;
      height: 8px;
    }
  }
}

.flicking-arrow-prev {
  left: auto;
  right: 80px !important;
  @include phone {
    right: 60px !important;
  }
  svg {
    transform: rotate(180deg);
  }
}

.flicking-arrow-disabled {
  opacity: 0.5;
}

.backdrop {
  background: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(10px);
  height: 100vh;
  width: 100vw;
  position: fixed;
  z-index: 20;
  left: 0;
  top: 0;
  cursor: pointer;
}

.modal {
  position: fixed;
  z-index: 50;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 25%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #fff;
  @include laptop_l {
    width: 30%;
  }
  @include phone {
    width: 90%;
  }

  &-wrapper {
    width: 100%;
    height: 100%;
    padding: 20px;
    position: relative;
  }

  &-header {
    width: 100%;
    display: flex;
    justify-content: space-between;

    span {
      font-size: 16px;
      font-weight: 500;
      color: #000;
      @include laptop_l {
        font-size: 14px;
      }
    }

    button {
      width: 40px;
      height: 40px;
      border-radius: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      position: absolute;
      top: 0;
      right: 2px;

      svg {
        width: 12px;
        height: 12px;
        stroke: #000;
        @include laptop_l {
          width: 10px;
          height: 10px;
        }
        @include laptop {
          width: 8px;
          height: 8px;
        }
      }
    }
  }

  &-form {
    width: 100%;
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    gap: 30px;
    input {
      width: 100%;
      padding: 15px;
      border: 1px solid rgba(0, 0, 0, 0.24);
      border-radius: 5px;
      outline: none;
      font-size: 14px;

      @include laptop_l {
        padding: 10px;
        font-size: 12px;
      }
    }
  }

  &-buttons {
    display: flex;
    justify-content: space-between;
    align-items: center;
    button {
      padding: 5px 20px;
      border-radius: 20px;
      background-color: #000;
      color: #fff;
      font-size: 14px;
      border: 1px solid #000;
      @include laptop_l {
        padding: 5px 15px;
        font-size: 11px;
      }

      &:last-child {
        background-color: #fff;
        border: 1px solid #000;
        color: #000;
      }
    }
  }

  &-mersi {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    p {
      font-size: 20px;
      font-weight: 500;
      margin-bottom: 10px;
      @include laptop_l {
        font-size: 16px;
      }
    }
    span {
      font-size: 18px;
      display: block;
      margin-bottom: 40px;
      @include laptop_l {
        font-size: 14px;
        margin-bottom: 30px;
      }
    }
  }

  &-mersi__animation {
    width: 140px;
    height: 140px;
    @include laptop_l {
      width: 110px;
      height: 110px;
    }
  }
}

@keyframes book {
  from {
    opacity: 0;
    padding-top: 100px;
  }
  to {
    opacity: 1;
    padding-top: 0px;
  }
}
</style>

<style src="/node_modules/@egjs/vue3-flicking/dist/flicking.css"></style>
<style src="/node_modules/@egjs/flicking-plugins/dist/arrow.css"></style>
